Package org.apache.sling.query.impl.function

## Class NextFunction<T>

- java.lang.Object
- - org.apache.sling.query.impl.function.NextFunction<T>

All Implemented Interfaces:
  `Function<T,​Iterator<T>>`, `org.apache.sling.query.api.internal.ElementToIteratorFunction<T>`

    public class NextFunction<T>
    extends Object
    implements org.apache.sling.query.api.internal.ElementToIteratorFunction<T>

### Constructor Summary

Constructors
`NextFunction​(Predicate<T> until, org.apache.sling.query.api.internal.TreeProvider<T> provider)`
`NextFunction​(org.apache.sling.query.api.internal.TreeProvider<T> provider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<T>` `apply​(T resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Constructor Detail

#### NextFunction

    public NextFunction​(org.apache.sling.query.api.internal.TreeProvider<T> provider)

#### NextFunction

    public NextFunction​(Predicate<T> until,
                        org.apache.sling.query.api.internal.TreeProvider<T> provider)

### Method Detail

#### apply

    public Iterator<T> apply​(T resource)

Specified by:
  `apply` in interface `Function<T,​Iterator<T>>`